org.apache.solr.client.solrj.io.comp

## Interface StreamComparator

All Superinterfaces:
  Comparator<Tuple>, Expressible, Serializable

All Known Implementing Classes:
  FieldComparator, MultipleFieldComparator

    public interface StreamComparator
    extends Comparator<Tuple>, Expressible, Serializable

Defines a comparator we can use with TupleStreams

### Method Summary

All Methods Instance Methods Abstract Methods
`StreamComparator` `copyAliased(Map<String,String> aliases)`
`boolean` `isDerivedFrom(StreamComparator base)`

### Methods inherited from interface java.util.Comparator

`compare, comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Methods inherited from interface org.apache.solr.client.solrj.io.stream.expr.Expressible

`toExpression`

### Method Detail

#### isDerivedFrom

    boolean isDerivedFrom(StreamComparator base)

#### copyAliased

    StreamComparator copyAliased(Map<String,String> aliases)